Download it now!
Bug 125767 - Unable to drag and drop fields when creating a pivot table
Summary: Unable to drag and drop fields when creating a pivot table
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.beta1+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Pivot-Table Drag-and-Drop
  Show dependency treegraph
 
Reported: 2019-06-07 07:26 UTC by Patrick Addy
Modified: 2020-02-23 02:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Addy 2019-06-07 07:26:39 UTC
Description:
I am unable to create pivot tables in LibreOffice 6.3 beta 1 downloaded from www.libreoffice.org.

Steps to reproduce:
1) Select range of cells as data source.
2) Data, Pivot Table, Create and use current selection.
3) Try to drag and drop Available Fields to any other Field (Page / Column / Row or Data).
4) Fields are selected (blue) but can not be dragged / dropped. Double-clicking or right clicking has no effect.

I am able to create pivot table when I downgrade LibreOffice 6.1.5 using libreoffice-gtk2.

Steps to Reproduce:
Steps to reproduce:
1) Select range of cells as data source.
2) Data, Pivot Table, Create and use current selection.
3) Try to drag and drop Available Fields to any other Field (Page / Column / Row or Data).
4) Fields are selected (blue) but can not be dragged / dropped. Double-clicking or right clicking has no effect.

Actual Results:
Fields are selected (blue) but can not be dragged / dropped.

Double-clicking or right clicking has no effect.

Expected Results:
Fields are displayed in appropriate field (Page / Column / Row or Data)


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Caolán McNamara 2019-06-07 08:01:51 UTC
Don't see a problem myself. What does line three of the help->about dialog say, e.g. ends in "VCL: something" is something gtk3 or gtk or something else ?
Comment 2 Patrick Addy 2019-06-07 13:24:00 UTC
Version: 6.3.0.0.beta1
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Caolán McNamara 2019-06-07 14:38:08 UTC
Maybe this is related to the version of gtk we are building against vs the runtime one. What version of gtk3 is your runtime. (rpm -q gtk3 on a Fedora/RHEL while Debian/Ubuntu something like dpkg -l libgtk-3-0 should list it)
Comment 4 Patrick Addy 2019-06-07 15:16:47 UTC
||/ Name                Version        Architecture   Description
+++-===================-==============-==============-===========================================
ii  libgtk-3-0:amd64    3.22.11-1      amd64          GTK+ graphical user interface library
Comment 5 QA Administrators 2019-06-08 03:08:42 UTC Comment hidden (obsolete)
Comment 6 Caolán McNamara 2019-06-08 14:32:56 UTC
which is relative new, so probably not the issue.

If in calc, where you have the original selection, are you able to drag and drop that selection to a new location within the spreadsheet in order to move the whole block ? (i.e. is drag and drop working at all)
Comment 7 Patrick Addy 2019-06-08 17:48:47 UTC
Drag and drop doesn't work at all with LibreOffice 6.3 beta 1, VCL: gtk3. 

I installed LibreOffice 6.1.5 on the same device, VCL: gtk2, and drag and drop works.
Comment 8 zeemale 2019-07-14 23:55:58 UTC
I concur.  Drag and Drop for field names when trying to create Pivot Tables in CALC does not work.  I have tried this with LibreOffice 6.1.6 (still) running as an AppImage, and LibreOffice 6.2.2 installed from Debian files.  Same behavior - no drag and drop functionality.  

Previously, I had LibreOffice 5.2.7 installed from a FlatPack and Pivot tables (and drag and drop) were working as expected in this old version of CALC.  

All installations above tested on a HP x360 Chromebook running Crostini Linux container.  Behaviors did not change between Chrome OS v72, 73, 74 and now 75.  

It is 100% reproducible. 
1)  Take any table of data with column lables in 1st row
2)  Select the table
3)  Use menu to select "Insert Pivot Table"
4)  You will see the Pivot Table layout dialog where you are required to "drag and drop" a field name from the list on the right to one of the locations offered on the left (row, column, Page, or data)  Unfortunately, the drag and drop does not work.  No amount of double clicking, right clicking etc. makes it work.
Comment 9 zeemale 2019-07-15 00:49:23 UTC
Version: 6.3.0.1
Build ID: 41ac97386aba908b6db860cfb4cfe2da871886ae

Confirming that the non-functional drag & drop problem in CALC still exists in the 6.3.0.1 AppImage package "LibreOffice-6.3.0.1-x86-64.AppImage" running on Chrome OS 75 within the Crostini container.  

 Pivot Tables still cannot be created, which is rather crippling to a spreadsheet program.  Seems that this issue crept into CALC between ver 6.1.3 and 6.1.6.  
(The bug exists in the stable ver 6.1.6 AppImage for LibreOffice)  

Per question posed in Comment 6 - I can confirm that drag and drop does not appear to be working at all within CALC.  

I can drag a list of numbers and it expands, but I can't move or copy anything within CALC using drag and drop.  


See my Comment #8 above for how to reproduce it.
Comment 10 Caolán McNamara 2019-07-15 16:00:44 UTC
caolanm->Patrick Addy: What distro and version of it are you using. Perhaps it is possible for us to reproduce this via virtualbox with that os and the beta1 download.
Comment 11 zeemale 2019-07-17 20:31:49 UTC
Caolán McNamara -  I did a little more investigation as I searched for the latest version of CALC that has working Pivot Tables.  I'm taking AppImage files from: 
http://libreoffice.soluzioniopen.com/index.php/old-versions/  to simplify testing and to mitigate any influence of my own Linux environment as much as possible. 

There are two problems:  
1) Pivot Tables layout dialog box drag and drop got broken between Ver 6.0.6.2 and Ver 6.1.0.3  (using VCL: gtk2 as with earlier versions which all work as expected)  
2) Starting with LibreOffice 6.2.2.2, users cannot drag & drop blocks of cells either (correlates with change from gtk2 to gtk3)  

All tests run on Chromebook's Crostini (Debian stretch) environment. I did a dpkg check and came up with same version of gtk3 as Patrick Addy (see comment 4) 


Version: 6.0.6.2 -  All works fine - both blocks of cells and Pivot Table Layout dialog box drag&drop
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
AppImage filename:  LibreOffice-6.0.6-x86_64.AppImage

Version: 6.1.0.3 -  User can drag & drop blocks of cells, but the PivotTable layout dialogue is <B> broken <b>
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
AppImage filename:  LibreOffice-6.1.0-x86_64.AppImage

Ver 6.1.1 - VCL : gtk2  Drag/drop blocks of cells works, but Pivot Table layout dialog box is broken
Ver 6.1.5 - VCL : gtk2  Drag/drop blocks of cells works OK, but Pivot Table layout dialog box is broken

Version: 6.1.6.3 -  Drag/drop blocks of cells works OK, but Pivot Table layout dialog box is broken
Build ID: 5896ab1714085361c45cf540f76f60673dd96a72
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
AppImage Filename:  LibreOffice-still.basic-x86_64.AppImage

Ver 6.2.2.2 - Cannot drag/drop blocks of cells.  Cannot create PivotTables
Build ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Ver 6.3.0.1 beta: VCL: gtk3  Cannot drag/drop blocks of cells, nor use the PivotTable layout box


I hope this helps you or others narrow it down.
Comment 12 Caolán McNamara 2019-07-18 11:55:58 UTC
any gtk2 stuff is unrelated
Comment 13 Caolán McNamara 2019-07-18 12:50:20 UTC
checking the appimages from that source gtk3 isn't bundled with it, so it uses the underlying OS gtk3.

Ubuntu 17.04 has gtk3 3.22.11 and the appimage for 6.3.0.1 pivot table dnd works for me on a VirtualBox Ubuntu 17.04 install so I still don't have an environment which reproduce this
Comment 14 zeemale 2019-07-19 23:44:10 UTC
(In reply to Caolán McNamara from comment #13)
> checking the appimages from that source gtk3 isn't bundled with it, so it
> uses the underlying OS gtk3.
> 
> Ubuntu 17.04 has gtk3 3.22.11 and the appimage for 6.3.0.1 pivot table dnd
> works for me on a VirtualBox Ubuntu 17.04 install so I still don't have an
> environment which reproduce this

Hi - I'm in a Debian9 (stretch) environment where dpkg -l *gtk* command shows these three entries for gtk3.  (there are entries for gtk2 as well)  
 
libgtk-3-0:amd64  3.22.11-1  - GTK+ graphical user interface library
libgtk-3-bin  3.22.11-1  - programs for GTK+ GUI library
libgtk-3-common  3.22.11-1  - common files for the GTK+ GUI library

Not sure where to go from here other than to confirm Patrick Addy's bug report that LibreOffice CALC pivot tables have not worked (for me) for several months/releases. 

 I have worked around it by using the older version 5.x or now, 6.0.6.2 as noted in Comment #11.  Something in LibreOffice changed that made drag & drop non-functional.  I don't know if it is related to gtk.  My linux environment hasn't changed.  The problem surfaced with a LibreOffice update, and I can go back to an older LibreOffice version to get functional pivot tables.  

Lastly, I *do* have ver 6.2.2 of LibreOffice installed from .deb files.  Pivot Tables don't work.  I have not un-installed it.  I've been experimenting with the AppImages as noted in Comment #11.  

If you have any thoughts on how I might try to force a change in gtk3 or something else to make drag & drop work with current versions of LibreOffice, I'm all ears.  As are other users of Google Chromebooks that use Linux apps.  

One test I could run is try an AppImage that HAS gtk3 within the AppImage. That might offer insight as to whether gtk3 is the culprit or not.
Comment 15 Caolán McNamara 2019-07-21 12:54:10 UTC
Installed Debian 9.7 (which has gtk3 3.22.11-1) under VirtualBox and used the LibreOffice-6.3.0.1 AppImage and drag and drop in the pivot table dialog worked fine
Comment 16 Caolán McNamara 2019-07-22 14:56:08 UTC
and in an affected system do other gtk3 apps drag and drop work ?, e.g. in gedit type

one two three

double click "one", so its selected, click, hold and drag to after three, does that work fine ?
Comment 17 zeemale 2019-07-26 20:52:15 UTC
Caolán McNamara  - Thank you.   Responding to Comment 16, I can confirm that on the impacted Chromebooks, gedit works (drag & drop) and as previously noted in Comment 11, earlier versions of LibreOffice work fine as well.  

I currently use LibreOffice 6.0.6.2 as that is the latest version I have found where the general drag and drop of cells, and Pivot Table layout dialog-box are both working in CALC. 

Given your Comment 15, I am wondering how I can figure out if there is some older gtk3 module on the affected systems that the latest LibreOffice is picking up instead of 3.22.11-1.  I'm not enough of a linux wizard to know how to check that, but I do see a long list when I run dpkg -l *gtk3*
Comment 18 QA Administrators 2020-01-23 04:17:48 UTC Comment hidden (obsolete)
Comment 19 QA Administrators 2020-02-23 02:48:17 UTC
Dear Patrick Addy,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp